commit:     b6f264d5d2a8f5abed68810df2ba021ba4549c43
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 29 18:38:52 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Thu Sep 29 21:50:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6f264d5

games-sports/speed-dreams: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: portage-2.3.0

 .../files/speed-dreams-1.4.0-asneeded.patch        | 24 +++---
 .../files/speed-dreams-1.4.0-automake.patch        |  8 +-
 .../speed-dreams/speed-dreams-1.4.0-r1.ebuild      | 86 ++++++++++++++++++++++
 3 files changed, 102 insertions(+), 16 deletions(-)

diff --git a/games-sports/speed-dreams/files/speed-dreams-1.4.0-asneeded.patch 
b/games-sports/speed-dreams/files/speed-dreams-1.4.0-asneeded.patch
index 837a251..779119d 100644
--- a/games-sports/speed-dreams/files/speed-dreams-1.4.0-asneeded.patch
+++ b/games-sports/speed-dreams/files/speed-dreams-1.4.0-asneeded.patch
@@ -1,5 +1,5 @@
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
 @@ -123,8 +123,7 @@
  AC_CHECK_LIB(Xrandr, XRRQueryVersion,,AC_MSG_ERROR([Can't find libXrandr. 
Please check config.log and if you can't solve the problem send the file to 
[email protected] with the subject \"Speed Dreams 
compilation problem\"]))
  AC_CHECK_LIB(openal, alEnable,, AC_MSG_ERROR([Can't find AL/al.h. OpenAL can 
be found on http://www.openal.org/]))
@@ -19,8 +19,8 @@
  AC_CHECK_LIB(plibul, main,,AC_MSG_ERROR([Can't find libplibul. PLIB can be 
found on http://plib.sourceforge.net/]))
  AC_CHECK_LIB(plibsg, main,,AC_MSG_ERROR([Can't find libplibsg. PLIB can be 
found on http://plib.sourceforge.net/]))
  AC_CHECK_LIB(plibsl, main,,AC_MSG_ERROR([Can't find libplibsl. PLIB can be 
found on http://plib.sourceforge.net/]))
---- Make-default.mk
-+++ Make-default.mk
+--- a/Make-default.mk
++++ b/Make-default.mk
 @@ -402,7 +402,7 @@
  ifdef PROGRAM
  
@@ -65,8 +65,8 @@
        @D=`pwd` ; \
        createdir="${EXPORTBASE}/${MODULEDIR}" ; \
        $(mkinstalldirs) $$createdir ; \
---- src/libs/client/Makefile
-+++ src/libs/client/Makefile
+--- a/src/libs/client/Makefile
++++ b/src/libs/client/Makefile
 @@ -23,6 +23,8 @@
  SOURCES   = entry.cpp mainmenu.cpp splash.cpp exitmenu.cpp \
            optionmenu.cpp
@@ -76,8 +76,8 @@
  LIBS      =  -lplibssg -lplibsg -lplibul
  
  EXPDIR    = include
---- src/libs/Makefile
-+++ src/libs/Makefile
+--- a/src/libs/Makefile
++++ b/src/libs/Makefile
 @@ -23,7 +23,7 @@
  
  TOOLSUBDIRS   = txml
@@ -87,8 +87,8 @@
                          portability math
  
  PKGSUBDIRS    = $(SUBDIRS)
---- src/libs/raceengineclient/Makefile
-+++ src/libs/raceengineclient/Makefile
+--- a/src/libs/raceengineclient/Makefile
++++ b/src/libs/raceengineclient/Makefile
 @@ -23,6 +23,8 @@
  SOURCES      = singleplayer.cpp raceinit.cpp racemain.cpp racemanmenu.cpp 
racestate.cpp racegl.cpp \
               raceengine.cpp raceresults.cpp
@@ -98,8 +98,8 @@
  EXPDIR       = include
  
  EXPORTS      = singleplayer.h raceinit.h
---- src/libs/tgf/Makefile
-+++ src/libs/tgf/Makefile
+--- a/src/libs/tgf/Makefile
++++ b/src/libs/tgf/Makefile
 @@ -29,6 +29,7 @@
                profiler.cpp \
                hash.cpp

diff --git a/games-sports/speed-dreams/files/speed-dreams-1.4.0-automake.patch 
b/games-sports/speed-dreams/files/speed-dreams-1.4.0-automake.patch
index 56f9b9b..72c755a 100644
--- a/games-sports/speed-dreams/files/speed-dreams-1.4.0-automake.patch
+++ b/games-sports/speed-dreams/files/speed-dreams-1.4.0-automake.patch
@@ -1,5 +1,5 @@
---- configure.in.old   2012-03-13 08:15:34.891163505 +0100
-+++ configure.in       2012-03-13 08:18:40.154092687 +0100
+--- a/configure.in     2012-03-13 08:15:34.891163505 +0100
++++ b/configure.in     2012-03-13 08:18:40.154092687 +0100
 @@ -14,9 +14,10 @@
  #
  ##############################################################################
@@ -13,8 +13,8 @@
  
  dnl Checks for programs.
  AC_PROG_CC
---- Makefile.old       2012-03-13 10:43:30.563720337 +0100
-+++ Makefile   2012-03-13 10:44:26.339794119 +0100
+--- a/Makefile 2012-03-13 10:43:30.563720337 +0100
++++ b/Makefile 2012-03-13 10:44:26.339794119 +0100
 @@ -88,17 +88,7 @@
  -include ${MAKE_DEFAULT}
  

diff --git a/games-sports/speed-dreams/speed-dreams-1.4.0-r1.ebuild 
b/games-sports/speed-dreams/speed-dreams-1.4.0-r1.ebuild
new file mode 100644
index 00000000..b45edf3
--- /dev/null
+++ b/games-sports/speed-dreams/speed-dreams-1.4.0-r1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils versionator
+
+DESCRIPTION="A fork of the famous open racing car simulator TORCS"
+HOMEPAGE="http://speed-dreams.sourceforge.net/";
+SRC_URI="mirror://sourceforge/speed-dreams/${P}-r2307-src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="xrandr"
+
+RDEPEND="virtual/opengl
+       virtual/glu
+       media-libs/freealut
+       media-libs/freeglut
+       >=media-libs/libpng-1.2.40:0
+       media-libs/openal
+       sys-libs/zlib
+       x11-libs/libX11
+       x11-libs/libXxf86vm
+       xrandr? ( x11-libs/libXrandr )"
+DEPEND="${RDEPEND}
+       >=media-libs/plib-1.8.3
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libXext
+       x11-libs/libXi
+       x11-libs/libXt
+       x11-libs/libXmu
+       x11-libs/libXrender
+       x11-proto/xproto
+       xrandr? ( x11-proto/randrproto )"
+
+S=${WORKDIR}/${PN}-$(get_version_component_range 1-3)-src
+
+PATCHES=(
+       "${FILESDIR}"/${P}-asneeded.patch
+       "${FILESDIR}"/${P}-automake.patch
+       "${FILESDIR}"/${P}-libpng15.patch
+       "${FILESDIR}"/${P}-math-hack.patch
+)
+
+src_prepare() {
+       default
+
+       # https://sourceforge.net/apps/trac/speed-dreams/ticket/111
+       MAKEOPTS="${MAKEOPTS} -j1"
+
+       sed -i \
+               -e '/ADDCFLAGS/s: -O2::' \
+               configure.in || die
+       sed -i \
+               -e '/COPYING/s:=.*:= \\:' \
+               Makefile || die
+       sed -i \
+               -e '/LDFLAGS/s:-L/usr/lib::' \
+               -e "/^datadir/s:=.*:= /usr/share/games/${PN}:" \
+               Make-config.in || die
+
+       eautoreconf
+}
+
+src_configure() {
+       addpredict $(echo /dev/snd/controlC? | sed 's/ /:/g')
+       [[ -e /dev/dsp ]] && addpredict /dev/dsp
+       econf \
+               --prefix=/usr \
+               --bindir=/usr/bin \
+               $(use_enable xrandr)
+}
+
+src_install() {
+       emake DESTDIR="${D}" install datainstall
+
+       find "${D}" -name Makefile -exec rm -f {} +
+
+       dodoc CHANGES README TODO
+
+       newicon icon.svg ${PN}.svg
+       make_desktop_entry ${PN} "Speed Dreams"
+}

Reply via email to